import { StringMap } from './types';
/**
 * Fix the raw yaml returned by yaml.safeDump by removing quotes surrounding GH Action
 * expressions, removing double single quotes from within a GH Action expression,
 * and finally remove quotes from the top-level "on" key
 * @param rawYaml Raw yaml to be formatted
 */
export declare const formatGHActionsYaml: (rawYaml: string) => string;
/**
 * A helper function to recursively rename keys within an object
 * @param obj Object to rename
 * @param newKeys A dictionary of old to new key names
 */
export declare const renameKeys: (obj: any, newKeys: StringMap) => any;
export declare const camelToSnake: (str: string) => string;
